## Multi-way Arrays

## Usage

    array(x, dim=length(x), dimnames=NULL)

    as.array(x)
    is.array(x)

## Value

An array with the extents specified in `dim` and naming information in `dimnames`. The values in `x` are taken to be those in the array with the leftmost subscript moving fastest. If there are too few elements in `x` to fill the array, then the elements in `x` are recycled.

`as.array()` coerces its argument to be an array by attaching a `dim` attribute to it. It also attaches `dimnames` if `x` has `names`

## See Also

`aperm`, `matrix`.

## Examples

    dim(as.array(letters))

[Package Contents]